ru.bitel.oss.systems.inventory.product.common.event

## Class ProductPeriodModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.oss.systems.inventory.product.common.event.ProductPeriodModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProductPeriodModifyEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductPeriodModifyEvent(int moduleId, int contractId, int userId, ProductSpec productSpec, Product product, ProductPeriod oldPeriod, ProductPeriod newPeriod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProductPeriod` | `getNewPeriod()`
    `ProductPeriod` | `getOldPeriod()`
    `Product` | `getProduct()`
    `ProductSpec` | `getProductSpec()`
    `void` | `setProduct(Product product)`
    `void` | `setProductSpec(ProductSpec productSpec)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductPeriodModifyEvent

          public ProductPeriodModifyEvent(int moduleId,
                                          int contractId,
                                          int userId,
                                          ProductSpec productSpec,
                                          Product product,
                                          ProductPeriod oldPeriod,
                                          ProductPeriod newPeriod)

  - ### Method Detail

    - #### getProductSpec

          public ProductSpec getProductSpec()

    - #### setProductSpec

          public void setProductSpec(ProductSpec productSpec)

    - #### getProduct

          public Product getProduct()

    - #### setProduct

          public void setProduct(Product product)

    - #### getOldPeriod

          public ProductPeriod getOldPeriod()

    - #### getNewPeriod

          public ProductPeriod getNewPeriod()